.advertisement-container {
    @include tablet_size {
        @include grid(3, 2rem);
    }        
}

.advertisement {
    background-color: lighten($my-gray,5);
    border: 1px solid darken($my-gray,10);
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;
    .advertisement-content {
        height: 100%;
        padding: 2rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    h3, p {
        margin: 0;
    }
}

.price {
    color: $my-green;
    font-weight: $bold-font;
    font-size: 3rem;
}

.feature-icons {
    display: flex;
    list-style: none;
    padding: 0;
    max-width: 40rem;
    
    li {
        flex: 1;
        display: flex;

        img {
            flex: 0 0 3rem;
            margin-right: 1rem;
        }
        p {
            font-weight: $black-font;
        }
    }
}

/* Explanation for flex: 0 0 3rem;:

-flex-grow: Specifies how much the item will grow relative to the rest of the flex items if there's extra space available. 
Here, it's 0, which means the image won't grow.

-flex-shrink: Specifies how much the item will shrink relative to the rest of the flex items if there's not enough space available. 
Here, it's 0, which means the image won't shrink.
    
-flex-basis: Specifies the initial size of the flex item before any available space is distributed. Here, it's 3rem, which means the 
initial width of the image is set to 3rem. */